%define upstream_name    multidimensional
%define upstream_version 0.011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Disables multidmensional array emulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Check) >= 0.190.0
BuildRequires: perl(CPAN::Meta) >= 2.112.580
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Lexical::SealRequireHints) >= 0.5.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Provides:   perl(multidimensional)

%description
Perl's multidimensional array emultaion stems from the days before the
language had references, but these days it mostly serves to bite you when
you typo a hash slice by using the '$' sigil instead of '@'.

This module lexically makes using multidmensional array emulation a fatal
error at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.11.0-11pclos2017
- rebuild against updates

